<?php
/**
 *  Funções para tratamento dos Eventos do Teclado
 *  ========================================================================= //
 */
?>
<script language="javascript">
//
//  Evento keyPress
//
  function key_Press(evt)
  {
    var objectID = getObjEvento(evt);
    var hr  = new Date();
    var cod = evt.keyCode;

    evtKEY_H = hr.getHours();
    evtKEY_M = hr.getMinutes();
    evtKEY_S = hr.getSeconds();
//    alert('KeyPress: ' + objectID );
    //alert('KeyPress');

    var domOBJ = findDOM( objectID, 0 );
    var tipoDado = domOBJ.getAttribute('tipoDado');

    if ( tipoDado != null )
    {
      switch( tipoDado )
      {
        case 'alfa':
          if ( (cod < 65 || cod > 90) &&
               (cod < 97 || cod > 122) )
          {
            evt.returnValue = false;
          }
          break;
        case 'alfanum':
          if ( (cod < 65 || cod > 90) &&
               (cod < 97 || cod > 122) &&
               (cod < 48 || cod > 57) &&
               (cod < 43 || cod > 46) )
          {
            evt.returnValue = false;
          }
          break;
        case 'texto':
          //alert(cod);
          break;
        case 'inteiro':
          if ( (cod < 48 || cod > 57) && cod != 45 )
          {
            evt.returnValue = false;
          }
          break;
      }// End switch()
    }// End if ( tipoDado != null )
  }// End function key_Press(evt)

  function key_Up( evt )
  {
    // alert( 'Up' );
  }

//
//  Evento keyDown
//
  function key_Down( evt )
  {
    var cod = window.event.keyCode;
    var objID = getObjEvento(evt);
<?php
    if( defined('STUDIO') )
    {
      if( file_exists( INC . "onKeyDown_modo_RAD.js.php") )
      {
        //include( INC . "onKeyDown_modo_RAD.js.php" );
      }// End
    }else
    {
      $arrFile = getFile( _INC_, "onKeyPress" );
//echo("\nINC: "._INC_);echo("\n<pre>");print_r($arrFile);exit;
      foreach( $arrFile as $i_ => $nFile )
      {
        $ini_   = strpos( $nFile, '_' ) +1;
        $len_   = strpos( $nFile, '.js' ) - $ini_;

        $nObj_  = substr( $nFile, $ini_, $len_ );

        if( isset($componentes_no_Prj[ $nObj_ ] ) ||
            isset($componentes_no_Prj[ strtolower($nObj_) ] )
          )
        {
          //echo("alert('". $inc_ . $nFile."');");
          include( $inc_ . $nFile );
        }else
        {
          //echo("alert('erro...[Inclusão do Evento do Obj: ".$nObj_."]');");
        }// End if ( isset($componentes_no_Prj[$nObj_] ) )
      }// End foreach( $arrFile as $i_ => $nFile )
    }// End
  }// End function key_Down( evt )
?>


</script>
